import { axios } from '@/utils/request'

//  开单退货单报表
export const salesReportReturnBillList = (params) => {
  const url = `/report/salesReturnBillReport/returnBillQueryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  开单退货单报表  合计
export const salesReportReturnBillCount = (params) => {
  return axios({
    url: '/report/salesReturnBillReport/returnBillQuerySum',
    data: params,
    method: 'post'
  })
}
//  开单退货报表
export const salesReportReturnList = (params) => {
  const url = `/report/salesReturnBillReport/returnQueryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  开单退货报表  合计
export const salesReportReturnCount = (params) => {
  return axios({
    url: '/report/salesReturnBillReport/returnQuerySum',
    data: params,
    method: 'post'
  })
}
//  实售退货报表
export const salesReportReturnRebateList = (params) => {
  const url = `/report/salesReturnBillReport/returnRebateQueryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  实售退货报表  合计
export const salesReportReturnRebateCount = (params) => {
  return axios({
    url: '/report/salesReturnBillReport/returnRebateQuerySum',
    data: params,
    method: 'post'
  })
}
//  销售退货单报表
export const reportSalesReturnList = (params) => {
  const url = `/report/reportSalesReturn/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  销售退货单报表  合计
export const reportSalesReturnCount = (params) => {
  return axios({
    url: '/report/reportSalesReturn/queryCount',
    data: params,
    method: 'post'
  })
}
//  销售退货明细报表
export const reportSalesReturnDetailList = (params) => {
  const url = `/report/reportSalesReturn/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  销售退货明细报表  合计
export const reportSalesReturnDetailCount = (params) => {
  return axios({
    url: '/report/reportSalesReturn/detail/queryCount',
    data: params,
    method: 'post'
  })
}
//  销售退货明细报表 导出
export const reportSalesReturnDetailExport = (params) => {
  return axios({
    url: '/report/reportSalesReturn/detail/exportExcel',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
//  总部差价明细报表
export const headRebateDetailReportList = (params) => {
  const url = `/report/headRebateDetailReport/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  总部差价明细报表  合计
export const headRebateDetailReportCount = (params) => {
  return axios({
    url: '/report/headRebateDetailReport/querySum',
    data: params,
    method: 'post'
  })
}
//  差价明细报表
export const reportRebateReportList = (params) => {
  const url = `/report/reportRebate/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
//  差价明细报表  合计
export const reportRebateCount = (params) => {
  return axios({
    url: '/report/reportRebate/queryCount',
    data: params,
    method: 'post'
  })
}
//  差价明细报表 导出
export const reportRebateExport = (params) => {
  return axios({
    url: '/report/reportRebate/export',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 销售退货单 导出
export const salesReturnsExport = (params) => {
  return axios({
    url: '/report/reportSalesReturn/exportExcel',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 销售退货明细 导出
export const salesReturnDetailExport = (params) => {
  return axios({
    url: '/report/reportRebate/export',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 开单销售单 导出
export const salesSlipExport = (params) => {
  return axios({
    url: '/report/reportRebate/export',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 开单退货单 导出
export const returnSlipExport = (params) => {
  return axios({
    url: 'report/salesReturnBillReport/returnBillExportExcel',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 开单销售 导出
export const salesAmountExport = (params) => {
  return axios({
    url: '/report/reportRebate/export',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 实售销售 导出
export const actualSalesExport = (params) => {
  return axios({
    url: '/report/',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 开单退货 导出
export const billingReturnExport = (params) => {
  return axios({
    url: '/report/salesReturnBillReport/returnExportExcel',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
// 实售退货 导出
export const salesReturnExport = (params) => {
  return axios({
    url: '/report/salesReturnBillReport/returnRebateExportExcel',
    data: params,
    method: 'post',
    responseType: 'blob'
  })
}
